import { generateTyping } from '../../typings/typing';
/**
 * This function defines a filter which attempts to generate the type declaration
 * for a given schema.
 * @param schema The schema for which to generate the type declaration.
 * @returns The generated type declaration.
 */
function typeDeclaration(schema, extendedSchemas = [], options) {
    return generateTyping(schema, { ...options, context: extendedSchemas }).typeDeclaration;
}
export const typeDeclarationFilter = {
    name: 'typeDeclaration',
    function: typeDeclaration,
};
//# sourceMappingURL=typeDeclaration.js.map