"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uniqueFilter = void 0;
/**
 * This function defines a filter which filters duplicate values from an array.
 * @param array The array to be filtered.
 * @returns The array without duplicate values.
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function unique(array) {
    return array.filter((v, i, s) => s.indexOf(v) === i);
}
exports.uniqueFilter = {
    name: 'unique',
    function: unique,
};
//# sourceMappingURL=unique.js.map