import { generateTyping } from '../../typings/typing';
/**
 * This function defines a filter which attempts to find the type dependencies for
 * a given schema.
 * @param schema The schema for which to find the type dependencies.
 * @returns The found type dependencies.
 */
function typeDependencies(schema, extendedSchemas = []) {
    return generateTyping(schema, { context: extendedSchemas }).typeDependencies;
}
export const typeDependenciesFilter = {
    name: 'typeDependencies',
    function: typeDependencies,
};
//# sourceMappingURL=typeDependencies.js.map